import { createButton, type ButtonStyle } from '@components';
import type { PartialEmoji } from '@projectdysnomia/dysnomia';

export function Button(props: { label: string; customId: string; style?: ButtonStyle; emoji?: PartialEmoji; disabled?: boolean }) {
  return createButton(props.label, props.customId, { style: props.style, emoji: props.emoji, disabled: props.disabled });
}
